Bug 894752 - drop-cache option
Summary: drop-cache option
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: rsync
Version: 18
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Michal Luscon
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-13 17:08 UTC by colundrum
Modified: 2013-12-27 15:54 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-12-27 15:54:48 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Samba Project 9560 None None None Never

Description colundrum 2013-01-13 17:08:48 UTC
It should allow to avoid filling up the io cache with the copied data.

The current behavior pushes the cached data of other process out of the memory 
and slows down the system as the ram gets filled up.

For exemple, I use rsync without this patch, rsync use 7GB of ram and when it's
finished, cache ram is always used.

When I use rsync with this patch, rsync use 7GB of ram but when it's finished,
cache ram is removed and avoid an unnecessary swap.

Thanks.

Website of the patch : http://insights.oetiker.ch/linux/fadvise/

Patch file : http://tobi.oetiker.ch/patches/rsync-3.0.9-2-fadvise.patch

Comment 1 Michal Luscon 2013-01-31 11:37:56 UTC
Thank you for patch. It will be included into Fedora after its acceptance by uptream.

Comment 2 Fedora End Of Life 2013-12-21 15:17:20 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Michal Luscon 2013-12-27 15:54:48 UTC
As this patch was rejected by upstream, I am closing with wontfix status.


Note You need to log in before you can comment on or make changes to this bug.